<?php
/**
 * NewsWrap Dynamic Styles
 *
 * @package NewsWrap
 */

function newswrap_dynamic_css()
{

    $newswrap_default = newswrap_get_default_theme_options();
    $twp_newswrap_home_sections_1 = get_theme_mod('twp_newswrap_home_sections_1', json_encode($newswrap_default['twp_newswrap_home_sections_1']));
    $twp_newswrap_home_sections_1 = json_decode($twp_newswrap_home_sections_1);
    $logo_width_range = get_theme_mod('logo_width_range', $newswrap_default['logo_width_range']);


    echo "<style type='text/css' media='all'>"; ?>

    <?php

    $repeat_times = 1;

    foreach ($twp_newswrap_home_sections_1 as $newswrap_home_section) {

        $section_text_color = esc_url(isset($newswrap_home_section->section_text_color) ? $newswrap_home_section->section_text_color : '');

        if ($section_text_color) { ?>

            #theme-block-<?php echo $repeat_times; ?> {
            color: <?php echo esc_url($section_text_color); ?>;
            }

            #theme-block-<?php echo $repeat_times; ?> .news-article-list{
            border-color: <?php echo newswrap_hex_2_rgba($section_text_color, 0.25); ?>;
            }

            <?php
        }
        $section_background_color = esc_url(isset($newswrap_home_section->background_color) ? $newswrap_home_section->background_color : '');

        if ($section_background_color) { ?>

            #theme-block-<?php echo $repeat_times; ?> {
            background-color: <?php echo esc_url($section_background_color); ?>;
            margin-bottom:0;
            }

            <?php
        }

        $background_image = esc_url(isset($newswrap_home_section->background_image) ? $newswrap_home_section->background_image : '');

        if ($background_image) {

            $bg_image_size = isset($newswrap_home_section->bg_image_size) ? $newswrap_home_section->bg_image_size : 'auto';
            $background_image_repeat = isset($newswrap_home_section->background_image_repeat) ? $newswrap_home_section->background_image_repeat : 'yes';
            $background_image_scroll = isset($newswrap_home_section->background_image_scroll) ? $newswrap_home_section->background_image_scroll : 'yes';

            if ($background_image_repeat == 'yes' || $background_image_repeat == '') {
                $background_image_repeat = 'repeat';
            } else {
                $background_image_repeat = 'no-repeat';
            }

            if ($background_image_scroll == 'yes' || $background_image_scroll == '') {
                $background_image_scroll = 'scroll';
            } else {
                $background_image_scroll = 'fixed';
            } ?>

            #theme-block-<?php echo $repeat_times; ?> {
            background-image: url(<?php echo esc_url($background_image); ?> );
            background-size: <?php echo esc_attr($bg_image_size); ?>;
            background-repeat: <?php echo esc_attr($background_image_repeat); ?>;
            background-attachment: <?php echo esc_attr($background_image_scroll); ?>;
            }

            <?php
        }

        $repeat_times++;
    } ?>

    .site-logo .custom-logo-link{
    max-width:  <?php echo esc_attr($logo_width_range); ?>px;
    }

    <?php echo "</style>";
}

add_action('wp_head', 'newswrap_dynamic_css', 100);

/**
 * Sanitizing Hex color function.
 */
function newswrap_sanitize_hex_color($color)
{

    if ('' === $color)
        return '';
    if (preg_match('|^#([A-Fa-f0-9]{3}){1,2}$|', $color))
        return $color;

}