<?php
if ( !class_exists('NewsWrap_Dashboard_Notice') ):

    class NewsWrap_Dashboard_Notice
    {
        function __construct()
        {	
            global $pagenow;

        	if( $this->newswrap_show_hide_notice() ){

	            add_action( 'admin_notices',array( $this,'newswrap_admin_notice' ) );
                
	        }
	        add_action( 'wp_ajax_newswrap_notice_dismiss', array( $this, 'newswrap_notice_dismiss' ) );
			add_action( 'switch_theme', array( $this, 'newswrap_notice_clear_cache' ) );
        
            if( isset( $_GET['page'] ) && $_GET['page'] == 'newswrap-about' ){

                add_action('in_admin_header', array( $this,'newswrap_hide_all_admin_notice' ),1000 );

            }
        }

        public function newswrap_hide_all_admin_notice(){

            remove_all_actions('admin_notices');
            remove_all_actions('all_admin_notices');

        }
        
        public static function newswrap_show_hide_notice( $status = false ){

            if( $status ){

                if( (class_exists( 'Booster_Extension_Class' ) ) || get_option('newswrap_admin_notice') ){

                    return false;

                }else{

                    return true;

                }

            }

            // Check If current Page 
            if ( isset( $_GET['page'] ) && $_GET['page'] == 'newswrap-about'  ) {
                return false;
            }

        	// Hide if dismiss notice
        	if( get_option('newswrap_admin_notice') ){
				return false;
			}
        	// Hide if all plugin active
        	if ( class_exists( 'Booster_Extension_Class' ) && class_exists( 'Demo_Import_Kit_Class' ) && class_exists( 'Themeinwp_Import_Companion' ) ) {
				return false;
			}
			// Hide On TGMPA pages
			if ( ! empty( $_GET['tgmpa-nonce'] ) ) {
				return false;
			}
			// Hide if user can't access
        	if ( current_user_can( 'manage_options' ) ) {
				return true;
			}
			
        }

        // Define Global Value
        public static function newswrap_admin_notice(){

            $theme_info      = wp_get_theme();
            $theme_name            = $theme_info->__get( 'Name' );
            ?>
           <div class="updated notice is-dismissible twp-newswrap-notice">

                <h3><?php esc_html_e('Quick Setup','newswrap'); ?></h3>

                <p><strong><?php printf( __( '%1$s is now installed and ready to use. Are you looking for a better experience to set up your site?', 'newswrap' ), esc_html( $theme_name ) ); ?></strong></p>

                <small><?php esc_html_e("We've prepared a unique onboarding process through our",'newswrap'); ?> <a href="<?php echo esc_url( admin_url().'themes.php?page='.get_template().'-about') ?>"><?php esc_html_e('Getting started','newswrap'); ?></a> <?php esc_html_e("page. It helps you get started and configure your upcoming website with ease. Let's make it shine!",'newswrap'); ?></small>

                <p>
                    <a target="_blank" class="button button-primary button-primary-upgrade" href="<?php echo esc_url( 'https://www.themeinwp.com/theme/newswrap-pro/' ); ?>">
                        <span class="dashicons dashicons-thumbs-up"></span>
                        <span><?php esc_html_e('Upgrade to Pro','newswrap'); ?></span>
                    </a>

                    <a class="button button-primary twp-install-active" href="javascript:void(0)">
                        <span class="dashicons dashicons-admin-plugins"></span>
                        <span><?php esc_html_e('Install and activate recommended plugins','newswrap'); ?></span>
                    </a>

                    <span class="quick-loader-wrapper"><span class="quick-loader"></span></span>

                    <a target="_blank" class="button button-primary" href="<?php echo esc_url( 'https://live-preview.themeinwp.com/newswrap/' ); ?>">
                        <span class="dashicons dashicons-welcome-view-site"></span>
                        <span><?php esc_html_e('View Demo','newswrap'); ?></span>
                    </a>

                    <a target="_blank" class="button button-primary" href="<?php echo esc_url('https://wordpress.org/support/theme/newswrap/reviews/?filter=5'); ?>">
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span><?php esc_html_e('Leave a review', 'newswrap'); ?></span>
                    </a>

                    <a class="btn-dismiss twp-custom-setup" href="javascript:void(0)"><?php esc_html_e('Dismiss this notice.','newswrap'); ?></a>

                </p>

            </div>

        <?php
        }

        public function newswrap_notice_dismiss(){

            check_ajax_referer( 'newswrap_ajax_nonce', 'security' );
            update_option('newswrap_admin_notice','hide');

            die();

        }

        public function newswrap_notice_clear_cache(){

        	update_option('newswrap_admin_notice','');

        }

    }
    new NewsWrap_Dashboard_Notice();
endif;