<?php
/**
 * Header file for the NewsWrap WordPress theme.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package NewsWrap
 * @since 1.0.0
 */
?><!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="https://gmpg.org/xfn/11">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php
if (function_exists('wp_body_open')) {
    wp_body_open();
} ?>

<?php
$newswrap_default = newswrap_get_default_theme_options();

$ed_preloader = get_theme_mod('ed_preloader', $newswrap_default['ed_preloader']);
if ($ed_preloader) { ?>

    <div id="theme-site-preloader">
        <div class="loader_line"></div>
    </div>

<?php } ?>

<div id="page" class="hfeed site">
    <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e('Skip to the content', 'newswrap'); ?></a>
    <!-- header add section -->
    <?php if ( is_front_page() && is_home() ) { newswrap_header_ad(); } ?>

    <?php
    get_template_part('template-parts/header/header', 'content'); ?>

    <?php newswrap_header_banner(); ?>

    <div id="content" class="site-content">