<?php
/**
 * Default Values.
 *
 * @package NewsWrap
 */

if (!function_exists('newswrap_get_default_theme_options')) :

    /**
     * Get default theme options
     *
     * @return array Default theme options.
     * @since 1.0.0
     *
     */
    function newswrap_get_default_theme_options(){

        $newswrap_defaults = array();

        $newswrap_defaults['twp_newswrap_home_sections_1'] = array(
            array(
                'home_section_type' => 'banner-video-block',
                'section_ed' => 'yes',
                'home_section_video_title' => esc_html__('Live Now','newswrap'),
                'section_video_post_cat' => '',
            ),

            array(
                'home_section_type' => 'main-banner',
                'section_ed' => 'yes',
                'home_section_title_1' => esc_html__('Column Title Two','newswrap'),
                'section_post_cat_1' => '',
                'ed_arrows_carousel' => 'yes',
                'ed_dots_carousel' => 'no',
                'section_category_3' => '',
            ),
            array(
                'home_section_type' => 'tiles-blocks',
                'section_ed' => 'no',
                'section_category' => '',
                'tiles_post_per_page' => 5,
            ),
            array(
                'home_section_type' => 'banner-blocks-1',
                'section_ed' => 'no',
                'section_category_1' => '',
                'section_category_2' => '',
                'ed_flip_column' => 'no',
                'ed_tab' => 'no',
                'ed_dots_carousel' => 'no',
                'ed_autoplay_carousel' => 'yes',
                'home_section_title_1' => esc_html__('Block Title One','newswrap'),
                'home_section_title_2' => esc_html__('Block Title Tab','newswrap'),
            ),
            array(
                'home_section_type' => 'latest-posts-blocks',
                'section_ed' => 'yes',
            ),
            array(
                'home_section_type' => 'advertise-blocks',
                'section_ed' => 'no',
                'advertise_image' => '',
                'advertise_link' => '',
            ),
            array(
                'home_section_type' => 'home-widget-area',
                'section_ed' => 'yes',
            ),
            array(
                'home_section_type' => 'you-may-like-blocks',
                'section_ed' => 'yes',
                'home_section_title' => '',
                'section_category' => '',
            ),
        );

        // header section
        $newswrap_defaults['logo_width_range']      = 200;

        // Options.
        $newswrap_defaults['global_sidebar_layout'] = 'right-sidebar';
        $newswrap_defaults['newswrap_archive_layout'] = 'grid';
        $newswrap_defaults['newswrap_pagination_layout'] = 'numeric';
        $newswrap_defaults['footer_column_layout'] = 3;
        $newswrap_defaults['footer_copyright_text'] = esc_html__('All rights reserved.', 'newswrap');
        $newswrap_defaults['ed_header_trending_news'] = 1;
        $newswrap_defaults['ed_header_trending_posts_title'] = esc_html__('Trending News', 'newswrap');
        $newswrap_defaults['ed_header_ad'] = 0;
        $newswrap_defaults['ed_header_type'] = 'twp-img-boxed-header';
        $newswrap_defaults['addvertisement_section_title'] = esc_html__('Advertisement Section', 'newswrap');
        $newswrap_defaults['ed_header_ticker_posts'] = 1;
        $newswrap_defaults['ticker_date_format'] = 'l, F jS, Y';
        $newswrap_defaults['ed_header_ticker_posts_title'] = esc_html__('Breaking News', 'newswrap');
        $newswrap_defaults['ed_image_content_inverse'] = 0;
        $newswrap_defaults['ed_related_post'] = 1;
        $newswrap_defaults['related_post_title'] = esc_html__('More Stories', 'newswrap');
        $newswrap_defaults['twp_navigation_type'] = 'norma-navigation';
        $newswrap_defaults['newswrap_single_post_layout'] = 'layout-1';
        $newswrap_defaults['ed_post_thumbnail'] = 0;
        $newswrap_defaults['ed_post_date'] = 1;
        $newswrap_defaults['ed_post_category'] = 1;
        $newswrap_defaults['ed_header_overlay'] = 0;
        $newswrap_defaults['newswrap_header_bg_size'] = 1;
        $newswrap_defaults['ed_preloader'] = 0;
        $newswrap_defaults['ed_header_bg_fixed'] = 0;
        $newswrap_defaults['ed_header_bg_overlay'] = 1;
        $newswrap_defaults['post_date_format'] = 'default';
        $newswrap_defaults['ed_fullwidth_layout'] = 'default';
        $newswrap_defaults['ed_post_views'] = 0;
        $newswrap_defaults['ed_scroll_top_button'] = 1;

        $newswrap_defaults['ed_ticker_bar']                  = 1;
        $newswrap_defaults['ed_ticker_bar_date']             = 1;
        $newswrap_defaults['ed_tags_wide_layout']            = 1;
        $newswrap_defaults['ed_post_tags']                   = 1;
        $newswrap_defaults['ed_post_read_later']             = 1;
        $newswrap_defaults['ed_ticker_bar_social_nav']       = 1;

        // Pass through filter.
        $newswrap_defaults = apply_filters('newswrap_filter_default_theme_options', $newswrap_defaults);

        return $newswrap_defaults;

    }

endif;
