<?php
/**
 * Banner Video Block
 *
 * @package NewsWrap
 */
if (!function_exists('newswrap_banner_video_block')):
    function newswrap_banner_video_block($newswrap_home_section, $repeat_times)
    {
      $section_video_post_cat = esc_html( isset($newswrap_home_section->section_video_post_cat) ? $newswrap_home_section->section_video_post_cat : '');
      $home_section_video_title = isset($newswrap_home_section->home_section_video_title) ? $newswrap_home_section->home_section_video_title : '';
      $home_video_query = new WP_Query( array('post_type' => 'post', 'posts_per_page' => '5','post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html( $section_video_post_cat ) ) );
      if( $home_video_query ->have_posts() ): 
      $i = 1;
      ?>
      <div id="theme-block-<?php echo esc_attr($repeat_times); ?>" class="theme-list-grid theme-grid-video theme-grid-video-one theme-block" >
          <div class="wrapper">
            <div class="wrapper-inner">
              <div class="column column-12">
                <?php while( $home_video_query ->have_posts() ){
                  $home_video_query ->the_post(); ?>
                  <?php if ($i == 1) { ?>
                    <div class="theme-block-top">
                      <div class="wrapper-inner">
                        <div class="column column-3 column-sm-12 column-order-2">
                          <div class="theme-block-left">
                            <article class="theme-news-article">
                              <span>
                                <div class="loader">
                                <div class="big-circle">
                                  <div class="small-circle"></div>
                                </div>
                                </div>
                              <?php echo esc_html($home_section_video_title);?>
                              </span>
                              <div class="theme-article-detail">
                                <h3 class="entry-title entry-title-big">
                                  <a href="<?php the_permalink(); ?>">
                                    <?php the_title(); ?>
                                  </a>
                                </h3>

                              </div>
                              <?php the_excerpt(); ?>

                            </article>
                            <div class="entry-meta-bottom">
                              <?php newswrap_posted_on( $icon = true ); ?>
                              <div class="entry-meta-separator"></div>
                              <?php newswrap_posted_by_name_only(); ?>
                            </div>
                          </div>
                        </div>

                        <div class="column column-9 column-sm-12 column-order-1">
                          <div class="theme-block-right">
                            <?php 
                            newswrap_disable_post_views();
                            newswrap_disable_post_like_dislike();
                            $content = apply_filters('the_content', get_the_content());
                            $video = false;
                            // Only get video from the content if a playlist isn't present.
                            if (false === strpos($content, 'wp-playlist-script')) {
                                $video = get_media_embedded_in_content($content, array('video', 'object', 'embed', 'iframe'));
                            }
                            if (!empty($video)) {
                              foreach ($video as $video_html) { 
                                echo newswrap_iframe_escape($video_html);
                                break;
                              } ?>
                            <?php } else {
                              the_post_thumbnail('full');
                            } ?>
                          </div>
                        </div>

                      </div>
                    </div>
                    <div class="theme-block-bottom">
                      <div class="wrapper-inner">
                  <?php $i++;
                  } else {
                  $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium');
                  $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
                    <div class="column column-3 column-sm-6 column-xxs-12">
                      <article class="theme-news-article">
                        <div
                          class="data-bg data-bg-small"
                          data-background="<?php echo esc_url($featured_image); ?>">
                            <a class="img-link" href="<?php the_permalink();?>"  aria-label="<?php the_title_attribute(); ?>" tabindex="0"></a>
                            <div class="video-overlay-icon">
                            <?php echo newswrap_theme_svg( 'play', $return = true ) ?>
                          </div>
                        </div>

                        <div class="theme-article-detail">
                          <header class="theme-article-header">
                            <h3 class="entry-title entry-title-medium">
                              <a href="<?php the_permalink(); ?>">
                                <?php the_title();?>
                              </a>
                            </h3>

                            <div class="entry-meta-bottom">
                              <?php newswrap_posted_on( $icon = true ); ?>
                              <div class="entry-meta-separator"></div>
                              <?php newswrap_posted_by_name_only(); ?>
                            </div>
                          </header>
                        </div>
                      </article>

                      <div class="modal-container hide">
                        <div class="overlay"></div>

                        <div class="modal hide">
                           <div class="modal-content">
                             <div class="modal-close">&times;</div>
                             <?php 
                              $content = apply_filters('the_content', get_the_content());
                              $video = false;
                              // Only get video from the content if a playlist isn't present.
                              if (false === strpos($content, 'wp-playlist-script')) {
                                  $video = get_media_embedded_in_content($content, array('video', 'object', 'embed', 'iframe'));
                              }
                              if (!empty($video)) {
                                foreach ($video as $video_html) { 
                                  echo newswrap_iframe_escape($video_html);
                                  break;
                                } ?>
                              <?php } else {
                                the_post_thumbnail('full');
                              } ?>
                           </div>
                        </div>
                      </div>
                    </div>
                  <?php } ?>
                  <?php if (($home_video_query->current_post +1) == ($home_video_query->post_count)) { ?>
                      </div>
                    </div>
                  <?php }
                } ?>
            </div>
          </div>
        </div>
      </div>
      <?php wp_reset_postdata();
      endif;
    }
endif;