<?php
/**
 * Header Layout 2
 *
 * @package NewsWrap
 */
$newswrap_default = newswrap_get_default_theme_options();
$newswrap_header_bg_size = get_theme_mod( 'newswrap_header_bg_size', $newswrap_default['newswrap_header_bg_size'] );
$ed_header_bg_fixed = get_theme_mod( 'ed_header_bg_fixed', $newswrap_default['ed_header_bg_fixed'] );
$ed_header_bg_overlay = get_theme_mod( 'ed_header_bg_overlay', $newswrap_default['ed_header_bg_overlay'] );
$newswrap_header_bg_size = get_theme_mod('newswrap_header_bg_size', $newswrap_default['newswrap_header_bg_size']);
$ed_header_bg_fixed = get_theme_mod('ed_header_bg_fixed', $newswrap_default['ed_header_bg_fixed']);
$ed_header_bg_overlay = get_theme_mod('ed_header_bg_overlay', $newswrap_default['ed_header_bg_overlay']); ?>

<header id="site-header" class="theme-header <?php if ($ed_header_bg_overlay) { echo 'header-overlay-enabled'; } ?>" role="banner">
    <?php newswrap_theme_topbar(); ?>
    <div class="header-mainbar <?php if (get_header_image()) {
                                    if ($ed_header_bg_fixed) {
                                        echo 'data-bg-fixed';
                                    } ?> data-bg header-bg-<?php echo esc_attr($newswrap_header_bg_size); ?> <?php } ?> " <?php if (get_header_image()) { ?> data-background="<?php echo esc_url(get_header_image()); ?>" <?php } ?>>
        <div class="wrapper header-wrapper">
            <div class="header-item header-item-left">
                <div class="header-titles">
                    <?php
                    newswrap_site_logo();
                    newswrap_site_description();
                    ?>
                    <!-- date/time -->
                    <div class="header-item header-item-left">
                        <?php
                        $newswrap_default = newswrap_get_default_theme_options();
                        $ed_ticker_bar_date = get_theme_mod('ed_ticker_bar_date', $newswrap_default['ed_ticker_bar_date']);
                        $ticker_date_format = get_theme_mod('ticker_date_format', $newswrap_default['ticker_date_format']);

                        if ($ed_ticker_bar_date) {
                        ?>
                            <div class="theme-topbar-item theme-topbar-date">
                                <?php newswrap_theme_svg('calendar-full'); ?>
                                <?php echo esc_html(date(esc_attr($ticker_date_format))); ?>
                            </div>

                            <div class="theme-topbar-item theme-topbar-clock">
                                <?php newswrap_theme_svg('clock'); ?>
                                <div id="twp-time-clock"></div>
                            </div>
                        <?php } ?>
                    </div>
                    <!-- end date/time -->
                </div>
            </div>
            <?php if ( is_active_sidebar( 'top-sidebar-1' ) ) { ?>
                <div class='header-item header-item-right'>
                    <?php dynamic_sidebar( 'top-sidebar-1' ); ?>
                </div>
            <?php }?>
        </div>
    </div>
    <div id="twp-header-navbar" class="header-navbar">
        <div class="wrapper header-wrapper">
            <div class="header-item header-item-left">

                <div class="header-navigation-wrapper">
                    <div class="site-navigation">
                        <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'newswrap'); ?>" role="navigation">
                            <ul class="primary-menu theme-menu">
                                <?php
                                if (has_nav_menu('newswrap-primary-menu')) {

                                    wp_nav_menu(
                                        array(
                                            'container' => '',
                                            'items_wrap' => '%3$s',
                                            'theme_location' => 'newswrap-primary-menu',
                                            'walker' => new newswrap\NewsWrap_Walkernav(),
                                        )
                                    );
                                } else {

                                    wp_list_pages(
                                        array(
                                            'match_menu_classes' => true,
                                            'show_sub_menu_icons' => true,
                                            'title_li' => false,
                                            'walker' => new NewsWrap_Walker_Page(),
                                        )
                                    );
                                } ?>
                            </ul>
                        </nav>
                    </div>
                </div>

            </div>

            <div class="header-item header-item-right">
                <?php main_navigation_extras(); ?>
            </div>
        </div>
        <div class="progress-bar"></div>
        <?php newswrap_content_trending_news_render(); ?>
    </div>

</header>